Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezlink/user/success.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: success.php 6220 2001-07-20 11:15:21Z jakobn $
5 //
6 // Created on: <14-Sep-2000 19:37:17 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29
30 $ini =& eZINI::instance( 'site.ini' );
31
32 $Language = $ini->variable( "eZLinkMain", "Language" );
33 $DOC_ROOT = $ini->variable( "eZLinkMain", "DocumentRoot" );
34
35 // include_once( "ezlink/classes/ezlinkgroup.php" );
36 // include_once( "ezlink/classes/ezlink.php" );
37 // include_once( "ezlink/classes/ezhit.php" );
38
39
40 $t = new eZTemplate( "kernel/ezlink/user/" . $ini->variable( "eZLinkMain", "TemplateDir" ),
41 "kernel/ezlink/user/intl", $Language, "success.php" );
42 $t->setAllStrings();
43
44 $t->set_file( array(
45 "success" => "success.tpl"
46 ));
47
48 $t->pparse( "output", "success" );
49
50 ?>
eZTemplate
Definition: eztemplate.php:107
$DOC_ROOT
$DOC_ROOT
Definition: ezlink/user/success.php:33
$t
$t
Definition: ezlink/user/success.php:40
$Language
$Language
Definition: ezlink/user/success.php:32
$ini
$ini
Definition: ezlink/user/success.php:30
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.